package jp.co.student.springbootstudy.domain.mapper;

import java.util.List;
import jp.co.student.springbootstudy.domain.model.TutorialGroup;
import jp.co.student.springbootstudy.domain.model.TutorialGroupExample;
import org.apache.ibatis.annotations.Param;

public interface TutorialGroupMapper {

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	long countByExample(TutorialGroupExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int deleteByExample(TutorialGroupExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int deleteByPrimaryKey(String groupId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int insert(TutorialGroup row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int insertSelective(TutorialGroup row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	List<TutorialGroup> selectByExample(TutorialGroupExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	TutorialGroup selectByPrimaryKey(String groupId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int updateByExampleSelective(@Param("row") TutorialGroup row, @Param("example") TutorialGroupExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int updateByExample(@Param("row") TutorialGroup row, @Param("example") TutorialGroupExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int updateByPrimaryKeySelective(TutorialGroup row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.tutorial_group
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	int updateByPrimaryKey(TutorialGroup row);
}